Bug 849058 - The "PostgreSQL Database 8.4" is duplicate on cartridge list page.
The "PostgreSQL Database 8.4" is duplicate on cartridge list page.
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Master (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Rob Millner
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-17 04:02 EDT by Yujie Zhang
Modified: 2015-05-14 20:51 EDT (History)
3 users (show)

See Also:
Fixed In Version: libra_ami #2027
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-17 17:28:48 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot1 (134.68 KB, image/png)
2012-08-17 04:02 EDT, Yujie Zhang
no flags Details

  None (edit)
Description Yujie Zhang 2012-08-17 04:02:50 EDT
Created attachment 605117 [details]
screenshot1

Description of problem:

There are two "PostgreSQL Database 8.4" on the cartridge list page.

Version-Release number of selected component (if applicable):

INT

How reproducible:always


Steps to Reproduce:
1.Go to openshift website 
2.Create an application 
3.Click the "Add Cartridge" button on application details page
  
Actual results:
The "PostgreSQL Database 8.4" is dupilcate on cartridge list page.Details see in attachment.

Expected results:

The "PostgreSQL Database 8.4" should not be duplicate.

Additional info:
Comment 1 Clayton Coleman 2012-08-17 10:05:25 EDT
Two postgresql-8.4 cartridges are being returned from /broker/rest/cartridges.json
Comment 2 Mrunal Patel 2012-08-17 11:44:30 EDT
This is related to postgres changes to enable it to be added to scalable apps and needs to be fix in node. Assigning to Rob.
Comment 3 Rob Millner 2012-08-17 17:36:26 EDT
Crankcase commit f6cf68e
Comment 4 Rob Millner 2012-08-17 19:44:30 EDT
Pull request: https://github.com/openshift/crankcase/pull/402
Comment 5 Rob Millner 2012-08-18 13:17:30 EDT
Pull request merged.
Comment 6 Yujie Zhang 2012-08-20 06:41:18 EDT
(In reply to comment #5)
Tested this issue on devenv_2031, it's been fixed now, thanks.

Note You need to log in before you can comment on or make changes to this bug.